com.independentsoft.exchange

## Class ExternalAccess

- java.lang.Object
- - com.independentsoft.exchange.ExternalAccess

-     public class ExternalAccess
      extends java.lang.Object

  Contains the collection of Outlook Web Access URLs that a client can connect to when it is outside the firewall.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExternalAccess()` Initializes a new instance of the ExternalAccess class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExchangeProtocol` | `getExchangeProtocol()` Gets a protocol that is used to connect to the server is Exchange RPC.
    `ExchangeProxyProtocol` | `getExchangeProxyProtocol()` Gets a protocol that is used to connect to the server is Exchange RPC over HTTP, using an RPC proxy server.
    `java.util.List<OutlookWebAccessUrl>` | `getOutlookWebAccessUrls()` Gets the URL and authentication schema that is used to access a particular computer that is running Microsoft Exchange Server that has the Client Access server role installed that hosts Outlook Web Access.
    `WebProtocol` | `getWebProtocol()` Gets a protocol where E-mail is accessed from a Web browser by using the URL that is specified in the Server (POX) element.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExternalAccess

          public ExternalAccess()

      Initializes a new instance of the ExternalAccess class.

  - ### Method Detail

    - #### getOutlookWebAccessUrls

          public java.util.List<OutlookWebAccessUrl> getOutlookWebAccessUrls()

      Gets the URL and authentication schema that is used to access a particular computer that is running Microsoft Exchange Server that has the Client Access server role installed that hosts Outlook Web Access.
      Returns:
        the outlook web access urls

    - #### getExchangeProtocol

          public ExchangeProtocol getExchangeProtocol()

      Gets a protocol that is used to connect to the server is Exchange RPC.
      Returns:
        the exchange protocol

    - #### getExchangeProxyProtocol

          public ExchangeProxyProtocol getExchangeProxyProtocol()

      Gets a protocol that is used to connect to the server is Exchange RPC over HTTP, using an RPC proxy server.
      Returns:
        the exchange proxy protocol

    - #### getWebProtocol

          public WebProtocol getWebProtocol()

      Gets a protocol where E-mail is accessed from a Web browser by using the URL that is specified in the Server (POX) element.
      Returns:
        the web protocol